<?php

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Carbon\Carbon;
use Illuminate\Support\Facades\Hash;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     *
     * @return void
     */
    public function run()
    {
      DB::table('roles')->insert([
          'name' => 'Usuario',
      ]);

      DB::table('roles')->insert([
          'name' => 'Proveedor',
      ]);

      DB::table('roles')->insert([
          'name' => 'Analisis y publicidad',
      ]);

      DB::table('roles')->insert([
          'name' => 'Facturacion',
      ]);

      DB::table('roles')->insert([
          'name' => 'Moderaror',
      ]);

      DB::table('roles')->insert([
          'name' => 'Administrador',
      ]);

      DB::table('roles')->insert([
          'name' => 'SuperAdmin',
      ]);

      DB::table('users')->insert([
          'name' => 'Admin',
          'email' => 'torch2196@gmail.com',
          'phone' => '3311581185',
          'phone_verified_at' => Carbon::now(),
          'role_id' => '7',
          'password' => Hash::make('I@venjq1'),
      ]);
        // $this->call(UsersTableSeeder::class);
      DB::table('i_chamba_parameters')->insert([
          'parameter' => 'IVA_SAT_fisica',
          'num_value' => 8.00,
      ]);
      DB::table('i_chamba_parameters')->insert([
          'parameter' => 'ISR_SAT_fisica',
          'num_value' => 5.40,
      ]);
      DB::table('i_chamba_parameters')->insert([
          'parameter' => 'IVA_SAT_moral',
          'num_value' => 8.00,
      ]);
      DB::table('i_chamba_parameters')->insert([
          'parameter' => 'ISR_SAT_moral',
          'num_value' => 5.40,
      ]);
      DB::table('i_chamba_parameters')->insert([
          'parameter' => 'IVA_NoSAT',
          'num_value' => 16.00,
      ]);
      DB::table('i_chamba_parameters')->insert([
          'parameter' => 'ISR_NoSAT',
          'num_value' => 20.00,
      ]);
      DB::table('i_chamba_parameters')->insert([
          'parameter' => 'ichamba_fee',
          'num_value' => 23.00,
      ]);
      DB::table('i_chamba_parameters')->insert([
          'parameter' => 'ichamba_add_fee',
          'num_value' => 12.00,
      ]);
      DB::table('statuses')->insert([
          'name' => 'activo',
          'en_name' => 'active',
      ]);
      DB::table('statuses')->insert([
          'name' => 'reagendación',
          'en_name' => 'reschedule',
      ]);
      DB::table('statuses')->insert([
          'name' => 'terminado',
          'en_name' => 'completed',
      ]);
      DB::table('statuses')->insert([
          'name' => 'cancelado',
          'en_name' => 'canceled',
      ]);
      DB::table('statuses')->insert([
          'name' => 'fuera de casa',
          'en_name' => 'no home',
      ]);
      DB::table('statuses')->insert([
          'name' => 'reportado',
          'en_name' => 'reported',
      ]);
      DB::table('statuses')->insert([
          'name' => 'ausente',
          'en_name' => 'absent',
      ]);
    }
}
